<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'SolutionsPlatformCtaCard',
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <section class="cta-card slp-pt-96 slp-pb-160">
    <SlpContainer>
      <SlpRow>
        <SlpColumn :cols="1">
          <SlpIcon
            v-if="data.icon"
            :name="data.icon"
            alt="Icon"
            size="lg"
            variant="marketing"
          />
        </SlpColumn>
        <SlpColumn :cols="9">
          <SlpTypography tag="h5" variant="heading5-bold">
            {{ data.title }}
          </SlpTypography>
          <SlpTypography class="slp-my-16" tag="div" variant="body1">
            {{ data.description }}
          </SlpTypography>
          <SlpButton
            variant="tertiary"
            :data-ga-name="data.button.data_ga_name"
            :data-ga-location="data.button.data_ga_location"
            :href="data.button.href"
          >
            {{ data.button.text }}
            <SlpIcon name="chevron-lg-right" alt="Icon" variant="product" />
          </SlpButton>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.cta-card {
  background: $color-surface-800;
}
</style>
